Index: lib/font/makefile.inc.new
===================================================================
--- lib/font/makefile.inc.new	(Revision 0)
+++ lib/font/makefile.inc.new	(Revision 0)
@@ -0,0 +1,18 @@
+
+
+LOCAL_CFLAGS:=$(CTHUMB)
+
+OBJS := font_8x16.o rbf_font.o
+OBJS := $(call subdirize, $(OBJS) )
+
+$(eval $(call compile-targets,$(OBJS),$(LOCAL_CFLAGS)))
+
+$(eval $(call ar-targets, libfont.a, $(OBJS)))
+
+# XXX generate the .h deps automatically via -MMD !!
+font_8x16.o: font_8x16.c codepages.h font_8x16_uni.h
+
+$(eval $(call gen-rule,font-lib-clean,,rm -f $(OBJS) $(subdir)/*.$(DEPSUFFIX) $(subdir)/libfont.a))
+$(eval $(call gen-rule,font-lib-distclean,font-lib-clean,rm -rf $(OBJS:.o=.d)))
+
+# vim: ft=make
Index: lib/ubasic/makefile.inc.new
===================================================================
--- lib/ubasic/makefile.inc.new	(Revision 0)
+++ lib/ubasic/makefile.inc.new	(Revision 0)
@@ -0,0 +1,18 @@
+
+LOCAL_CFLAGS:=$(CTHUMB)
+
+OBJS := camera_functions.o tokenizer.o ubasic.o
+OBJS := $(call subdirize, $(OBJS) )
+
+$(eval $(call compile-targets,$(OBJS),$(LOCAL_CFLAGS)))
+
+$(eval $(call ar-targets, libubasic.a, $(OBJS),))
+
+check:
+	gcc -g -Wall -DTEST -DCAMERA_a610 -o ubasic_test$(EXE) *.c
+
+$(eval $(call gen-rule, ubasic-lib-clean,, rm -f $(OBJS) $(subdir)/*.$(DEPSUFFIX) $(subdir)/libubasic.a $(subdir)/ubasic_test$(EXE) ))
+
+$(eval $(call gen-rule, ubasic-lib-distclean, ubasic-lib-clean, rm -f $(OBJS:.o=.d) ))
+
+# vim: ft=make
Index: lib/libc/Makefile
===================================================================
--- lib/libc/Makefile	(Revision 727)
+++ lib/libc/Makefile	(Arbeitskopie)
@@ -1,5 +1,7 @@
 topdir=../../
 
+primary: libc.a
+
 include $(topdir)makefile.inc
 
 CFLAGS+=$(CTHUMB)
Index: lib/libc/makefile.inc.new
===================================================================
--- lib/libc/makefile.inc.new	(Revision 0)
+++ lib/libc/makefile.inc.new	(Revision 0)
@@ -0,0 +1,18 @@
+
+LOCAL_CFLAGS:=$(CTHUMB)
+
+OBJS := issmth.o strncmp.o strtol.o strchr.o \
+    memcmp.o memset.o memmove.o memcpy.o strlen.o \
+    strcmp.o
+
+OBJS := $(call subdirize, $(OBJS) )
+
+$(eval $(call compile-targets,$(OBJS),$(LOCAL_CFLAGS)))
+
+$(eval $(call gen-rule, libc.a, $(OBJS),))
+
+$(eval $(call gen-rule, libc-lib-clean,, rm -f $(OBJS) $(subdir)/*.$(DEPSUFFIX) $(subdir)/libc.a))
+
+$(eval $(call gen-rule, libc-lib-distclean, libc-lib-clean, rm -f $(OBJS:.o=.d)))
+
+# vim: ft=make
Index: lib/math/makefile.inc.new
===================================================================
--- lib/math/makefile.inc.new	(Revision 0)
+++ lib/math/makefile.inc.new	(Revision 0)
@@ -0,0 +1,18 @@
+
+LOCAL_CFLAGS:=$(CTHUMB)
+
+OBJS := d2d.o wrapper.o
+OBJS := $(call subdirize, $(OBJS) )
+
+$(eval $(call compile-targets,$(OBJS),$(LOCAL_CFLAGS)))
+
+$(eval $(call ar-targets, libmath.a, $(OBJS)))
+
+# XXX AUTOGEN!
+d2d.o: d2d.c fdlibm.h
+
+$(eval $(call gen-rule, math-lib-clean,, rm -f $(OBJS) $(subdir)/*.$(DEPSUFFIX) $(subdir)/libmath.a))
+
+$(eval $(call gen-rule, math-lib-distclean, math-lib-clean, rm -f $(OBJS:.o=.d) ))
+
+# vim: ft=make
Index: lib/makefile.inc.new
===================================================================
--- lib/makefile.inc.new	(Revision 0)
+++ lib/makefile.inc.new	(Revision 0)
@@ -0,0 +1,13 @@
+
+LOCAL_SUBDIRS:=font math ubasic lang lua libc
+
+$(eval $(call gen-rule, lib-clean, $(foreach lsub,$(LOCAL_SUBDIRS),$(lsub)-lib-clean),))
+
+$(eval $(call gen-rule, lib-distclean, $(foreach lsub,$(LOCAL_SUBDIRS),$(lsub)-lib-distclean),))
+
+LOCAL_SUBDIRS:=$(call subdirize,$(LOCAL_SUBDIRS) )
+
+$(foreach subdir,$(LOCAL_SUBDIRS),$(eval include $(subdir)/makefile.inc.new) )
+
+
+# vim: filetype=make
Index: makenewcam
===================================================================
--- makenewcam	(Revision 0)
+++ makenewcam	(Revision 0)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+SRCCAM=ixus950_sd850
+SRCSUB=100c
+NEWCAM=$1
+if [[ -z "$NEWCAM" ]]
+then
+  echo "Need cam as parameter"
+  exit 1
+fi
+
+if [[ ! -d "platform/$NEWCAM" ]]
+then
+    echo "Platform dir does not exist"
+    exit 1
+fi
+
+set +x
+cp -i platform/$SRCCAM/makefile.inc.new platform/$NEWCAM/
+for dir in platform/$NEWCAM/sub/*
+do
+    if [[ -d "$dir" ]]
+    then
+	cp -i platform/$SRCCAM/sub/$SRCSUB/makefile.inc.new $dir/
+    fi
+done
+cp -i loader/$SRCCAM/resetcode/makefile.inc.new loader/$NEWCAM/resetcode/
+cp -i loader/$SRCCAM/makefile.inc.new loader/$NEWCAM/

Eigenschaftsänderungen: makenewcam
___________________________________________________________________
Hinzugefügt: svn:executable
   + *

